.escr-table {
    background-color: var(--background1);
    width: 100%;
    border-collapse: collapse;
    border-spacing: 0;
}
.escr-table tbody,
.escr-table thead,
.escr-table tr {
    width: 100%;
}
/* header row */
.escr-table thead tr {
    font-size: 12px;
    height: 32px;
    border-bottom: 1px solid var(--background2);
}
.escr-table th {
    font-weight: 600;
    text-align: left;
}
.escr-table th div {
    display: flex;
    align-items: center;
    justify-content: flex-start;
}
.escr-table th,
.escr-table td {
    padding: 0 8px;
}
/* other rows */
.escr-table tbody tr {
    font-size: 14px;
    height: 64px;
    transition: background-color 0.15s ease-in-out;
}
.escr-table tr td:first-of-type,
.escr-table tr th:first-of-type {
    padding: 0 0 0 16px;
}
.escr-table tr td:last-of-type {
    padding: 0 16px 0 0;
}
.escr-table tbody tr:hover {
    background-color: var(--background2);
}
/* sorting */
.escr-table th button.escr-sort-button {
    cursor: pointer;
    border: none;
    background: transparent;
    display: flex;
    flex-flow: row nowrap;
    font-family: "Noto Sans", sans-serif;
    font-size: 12px;
    color: var(--text1);
    padding: 0;
    transition: font-weight 0.15s ease-in-out, color 0.15s ease-in-out;
    font-weight: 600;
}
.escr-table th button.escr-sort-button svg {
    margin-left: 2px;
}
.escr-table th button.escr-sort-button:disabled {
    color: var(--text3);
    pointer-events: none;
    cursor: default;
}
/* linking */
.escr-table tr {
    position: relative;
}
.escr-table tr td a.row-link {
    position: absolute;
    display: block;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}
.escr-table tbody tr:has(a:active),
.escr-table tbody tr:focus-within {
    background-color: var(--secondary-hover);
}
/* actions */
.escr-table td.escr-row-actions * {
    opacity: 0;
    transition: opacity 0.15s ease-in-out;
}
.escr-table tr:hover td.escr-row-actions *,
.escr-table tr td.escr-row-actions:focus-within * {
    opacity: 1;
}
.escr-table td.escr-row-actions div {
    display: flex;
    flex-flow: row nowrap;
    align-items: center;
    justify-content: flex-end;
    margin-right: 18px;
}
